---
slug: "grandma3-fader-feedback-2024-05-04"
title: "GrandMA3 Fader Feedback Plugin"
date: "2024-05-04"
modified: "2024-05-04"
description: "A free MA3 LUA plugin to provide per-fader feedback over OSC"
---
You might have used the new OSC features in GrandMA3 to connect a MIDI controller to get some extra faders on your system. In my experience, this works quite smoothly. You then might have wanted to go extra fancy and tried to hook up the OSC that MA3 sends you back to make your motorized faders work, only to find out that, for some reason, it doesn't send feedback per fader, only per sequence, which is difficult to map to physical faders as you move things around.

I've been in this situation as well. I got annoyed by this shortcoming, so I did what any self respecting MA user would do; I wrote a plugin.

The plugin worked, but was kind of messy, so I rewrote the plugin to a point where I feel comfortable releasing it to the public, because I'm sure I'm neither the first nor the last person to run into this issue.

It's not the fanciest thing out there. there's no fancy GUIs for your settings, just a couple of variables to tweak and then never think about again. The upside of this is that the plugin is very small and light-weight.

You can download the plugin [over here](https://git.riksolo.com/riksolo/GrandMA3-Plugins/releases).

# Installation & Usage
1. Download the plugin from the link above.
2. Take both of the files of the "grandma3-plugins/Fader Feedback 2" folder and put them where you normally put your MA3 plugins
	- If you're not sure where that is, your best choice is probably on whichever USB stick you also keep your showfiles, the folder will be `/ma/ma3_library/datapools/plugins`
	
3. Open up MA3
4. Edit an empty slot in your Plugins pool in MA3, hit the "import" button on the bottom of the dialogue, and find the plugin.
5. In the MA3 menu, go to "In & Out", then into the OSC tab
6. Create a new OSC entry with the following settings:
	- Destination IP: Whatever's needs to be receiving the feedback
	- Mode: UDP
	- Name: Whatever you want, just keep note of it. The default for the plugin is "Feedback"
	- Port: Where the feedback should be sent
	- Receive: No
	- Send: Yes
	- Receive Command: No
	- Send Command: Yes
7. Open the plugin back up, select the first (and only) line in the table, and hit the Edit button on the bottom of the window.
8. Change the variables at the top of the plugin to your liking. There are comments above each one to tell you how they work.
9. Now run the plugin. 
 
MA3 should start sending feedback for the executors you configured in the plugin file. The OSC addresses are the same as the ones you would use to send OSC into MA# (using the current page). So, for example, the feedback for fader 202 would be sent to `/Page/Fader/202`.

For faders, the plugin will send a Float value between 0.00 and 1.00. For buttons, a value of 0 or 1 will be sent.

On top of this, assuming you set the inputOSCName variable correctly, MA3 will block OSC input while the desk lock is active. 

# Support
I maintain this plugin in my free time. This plugin is available free, and the code is free for you to edit. If you have any issues with the plugin, feel free to contact me through the contact info on this website, but please don't expect me to respond right away. 

If this plugin makes your life better, you can consider buying me a beer through [ko-fi](https://ko-fi.com/riksolo)
